Subject: bug#65879: closed (Re: [PATCH gnome-team v4 2/2] gnu: gnome-control-center: Update to 44.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Oct 2023 20:40:02 +0000

Your bug report

#65879: [gnome-team 0/1] Update gnome-control-center

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65879: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65879
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH gnome-team v4 2/2] gnu: gnome-control-center: Update to 44.3.
From: Liliana Marie Prikler <[email-masked]>
To: Vivien Kraus <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 09 Oct 2023 22:38:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Montag, dem 11.09.2023 um 23:26 +0200 schrieb Vivien Kraus:
> Some previous fixes have been merged upstream. The gnome version is
> now read from a dbus service, and passwd is already searched in
> /run/setuid-programs.
> 
> In order to let the tests run, we use the same tests environment as
> gnome-shell.
> 
> * gnu/packages/gnome.scm (gnome-control-center): Update to 44.3.
> Apply gnome-control-center-firmware-security.patch.
> [#:phases]<patch-paths>: Adjust accordingly.
> <skip-gtk-update-icon-cache>: Adjust accordingly.
> <check>: Override the check phase to run under dbus.
> [native-inputs]: Add setxkbmap.
> ---
Pushed now together with the dbus change.

Thanks

Subject: [gnome-team 0/1] Update gnome-control-center
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 11 Sep 2023 23:31:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear guix,

Let’s update gnome-control-center, shall we? However, there are weird
errors. I had to disable the network test, because from what I understand, it
tries to connect to a system bus that is not available. However, running the
new gnome-control-center crashes, and I don’t really understand why. Do you
have any clues?

Vivien Kraus (1):
  gnu: gnome-control-center: Update to 44.3.

 gnu/packages/gnome.scm | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

base-commit: 20e3f3e1151b2f22ae7fb5aa8764148654f35090
-- 
2.41.0